Skip to main content
GET
List active shipping methods available to a store

Authorizations

Authorization
string
header
required

Token returned by POST /auth/token, sent as Authorization: Bearer <token>.

Query Parameters

store_id
integer
required

Id of the store. Your credential must have access to it.

Example:

1234

Response

Active shipping methods

id
integer
required

Shipping method id

Example:

12

carrier_name
string
required

Customer-facing carrier name

Example:

"ESTAFETA"

shipping_type
enum<string>
required

Scope of the method

Available options:
national,
international,
pickup
Example:

"national"

delivery_type
enum<string>
required

Delivery service level

Available options:
SameDay,
NextDay,
Ground,
Pickup,
International
Example:

"Ground"

country
string
required

ISO 3166-1 alpha-2 country of the method

Example:

"MX"

is_cod
boolean
required

Whether this is a dedicated cash-on-delivery method

Example:

false